BEAST2-MCMC(1)

NAME
beast2-mcmc - Bayesian MCMC phylogenetic inference

SYNOPSIS
beast2-mcmc [-window] [-options] [-working] [-seed] [-prefix <PREFIX>] [-statefile <STATEFILE>] [-overwrite] [-resume] [-validate] [-errors <i>] [-threads <i>] [-java] [-noerr] [-loglevel <LEVEL>] [-instances <i>] [-beagle] [-beagle_info] [-beagle_order <order>] [-beagle_CPU] [-beagle_GPU] [-beagle_SSE] [-beagle_single] [-beagle_double] [-beagle_scaling <default|none|dynamic|always>] [-help] [-version] [<input-file-name>]

DESCRIPTION
BEAST is a cross-platform program for Bayesian MCMC analysis of molecular sequences. It is entirely orientated towards rooted, time-measured phylogenies inferred using strict or relaxed molecular clock models. It can be used as a method of reconstructing phylogenies but is also a framework for testing evolutionary hypotheses without conditioning on a single tree topology. BEAST uses MCMC to average over tree space, so that each tree is weighted proportional to its posterior probability. Included is a simple to use user-interface program for setting up standard analyses and a suit of programs for analysing the results.

This is no new upstream version of beast-mcmc (1.x) but rather a rewritten version.

OPTIONS

-window Provide a console window

-options Display an options dialog

-working Change working directory to input file's directory

-seed Specify a random number generator seed

-prefix Specify a prefix for all output log filenames

-statefile Specify the filename for storing/restoring the state

-overwrite Allow overwriting of log files

-resume Allow appending of log files

-validate Parse the XML, but do not run -- useful for debugging XML

-errors Specify maximum number of numerical errors before stopping

-threads The number of computational threads to use (default 1), -1 for number of cores

-java Use Java only, no native implementations

-noerr Suppress all output to standard error

-loglevel error,warning,info,debug,trace

-instances divide site patterns amongst number of threads (use with -threads option)

-beagle Use beagle library if available

-beagle_info BEAGLE: show information on available resources

-beagle_order BEAGLE: set order of resource use

-beagle_CPU BEAGLE: use CPU instance

-beagle_GPU BEAGLE: use GPU instance if available

-beagle_SSE BEAGLE: use SSE extensions if available

-beagle_single BEAGLE: use single precision if available

-beagle_double BEAGLE: use double precision if available

-beagle_scaling BEAGLE: specify scaling scheme to use

-help Print this information and stop

-version Print version and stop

EXAMPLES

    beast2-mcmc test.xml

    beast2-mcmc -window test.xml

    beast2-mcmc -help

AUTHOR
This manpage was written by Andreas Tille for the Debian distribution and can be used for any other usage of the program.